<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files/>
    <containers/>

    <variables>
        <family name='Mots de passe' icon='keyboard'>
            <variable name='smb_min_password_length' type='string' description='Longueur minimale des mots de passe'>
                <value>5</value>
            </variable>
            <variable name='smb_min_password_class' type='string' description='Nombre minimum de classes de caractères'>
                <value>2</value>
            </variable>
	        <variable name='check_for_username' type='oui/non' description="Interdire la présence du nom d'utilisateur dans le mot de passe">
                <value>non</value>
            </variable>
        </family>
        <separators>
            <separator name='smb_min_password_length'>Politique de mot de passe pour les utilisateurs LDAP</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_enum' target='smb_min_password_length'>
            <param type="python">[str(i) for i in range(3, 13)]</param>
        </check>
        <check name='valid_enum' target='smb_min_password_class'>
            <param>['1', '2', '3', '4']</param>
        </check>
    </constraints>

    <help>
        <variable name='smb_min_password_class'>Les classes de caractères sont : chiffres, lettres minuscules, lettres majuscules, et autres caractères</variable>
        <variable name='check_for_username'>Interdire l'utilisation du nom d'utilisateur dans le mot de passe</variable>
        <family name='Mots de passe'>Politique générale pour les utilisateurs des applications web et de Samba</family>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
